Bug 207809 - Sending mail to an RFC822 "group" fails (legal address misparsed)
Sending mail to an RFC822 "group" fails (legal address misparsed)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: Reopened
Depends On:
Blocks: 207999
  Show dependency treegraph
 
Reported: 2006-09-23 13:19 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 09:19:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 220147 None None None Never
Mozilla Foundation 83521 None None None Never

  None (edit)
Description David Woodhouse 2006-09-23 13:19:26 EDT
Description of problem:

When I compose a message thus:
   To: Some people: ;
   Bcc: dwmw2@infradead.org
   ...

Thunderbird refuses to send it, popping up a dialog box which (incorrectly)
tells me:
"Some people: ;" is not a valid address because it is not of the form user@host. 
You must correct it before sending the email.


Version-Release number of selected component (if applicable):
thunderbird-1.5.0.5-1.1.fc5

How reproducible:
100%

Steps to Reproduce:
1. Compose mail with a group in recipient header.
2. Press 'send'

  
Actual results:
Thunderbird refuses to send perfectly valid mail.

Expected results:
Thunderbird sends mail.

Additional info:
http://www.ietf.org/rfc/rfc2822.txt §3.4

   "Addresses occur in several message header fields to indicate senders
   and recipients of messages.  An address may either be an individual
   mailbox, or a group of mailboxes."

group           =       display-name ":" [mailbox-list / CFWS] ";"
                        [CFWS]
Comment 1 David Woodhouse 2006-09-23 13:21:46 EDT
This probably also affects FC6 -- would be good to get it fixed.
Comment 2 Matěj Cepl 2007-07-18 13:31:47 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:56:36 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.
Comment 4 David Woodhouse 2007-11-04 11:36:24 EST
Reopening -- I believe this bug persists. It would be trivial for anyone who
actually _uses_ thunderbird (unlike me) to confirm.
Comment 5 Matěj Cepl 2007-11-07 09:19:36 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=83521) and believe that it is more
appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.